//+------------------------------------------------------------------+
//|                                                 5dayBreakout.mq4 |
//|                                                        Bill Sica |
//|                                         http://www.tetsuyama.com |
//+------------------------------------------------------------------+
#property copyright "Bill Sica"
#property link      "http://www.tetsuyama.com"

#property indicator_chart_window
//---- input parameters
extern int       DAYS=5;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
//---- indicators

//---- indicators

   

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double daily_high4[20];
   double daily_low4[20];
   double yesterday_close;
   double phigh,plow;
   int i=1;

//---- TODO: add your code here
ArrayResize(daily_high4,DAYS);
ArrayResize(daily_low4,DAYS);
ArrayInitialize(daily_high4,0);
ArrayInitialize(daily_low4,0);

ArrayCopySeries(daily_low4, MODE_LOW, Symbol(), PERIOD_D1);
ArrayCopySeries(daily_high4, MODE_HIGH, Symbol(), PERIOD_D1);

/* initialise */
plow=daily_low4[1];
phigh=daily_high4[1];

for(i=1;i<DAYS;i++)
{
   if(plow>daily_low4[i])
   {
      plow =daily_low4[i];
   }
}

for(i=1;i<DAYS;i++)
{
   if(phigh<daily_high4[i])
   {
      phigh =daily_high4[i];
   }
}

Comment("\n5dayH ",phigh,"\n5dayL ",plow);

ObjectDelete("5dayHigh4");
ObjectDelete("5dayLow4");

ObjectCreate("5dayHigh4", OBJ_HLINE,0, CurTime(),phigh);
ObjectSet("5dayHigh4",OBJPROP_COLOR,SpringGreen);
ObjectSet("5dayHigh4",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("5dayLow4", OBJ_HLINE,0, CurTime(),plow);
ObjectSet("5dayLow4",OBJPROP_COLOR,Red);
ObjectSet("5dayLow4",OBJPROP_STYLE,STYLE_SOLID);

ObjectsRedraw();

   return(0);
  }
//+---------------------------------------------------------------